Межсайтовый скриптинг в IBM Rational RequisitePro

Дата публикации:
20.10.2009
Дата изменения:
20.10.2009
Всего просмотров:
890
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IBM Rational RequisitePro 7.x
Уязвимые версии: IBM Rational RequisitePro 7юч

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "searchWord", "maxHits", "scopedSearch" и "scope" в сценарии /ReqWebHelp/basic/searchView.jsp и в параметре "operation" в сценарии /ReqWebHelp/advanced/workingSet.jsp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www-306.ibm.com/software/awdtools/reqpro/

Решение: Установите последнюю версию с сайта производителя.

Ссылки: http://www-01.ibm.com/support/docview.wss?uid=swg1PK83895

или введите имя

CAPTCHA